MAN.OPTIONS(1)

NAME
man.options - assignment of option letters in manual page utilities

DESCRIPTION
This manual page lists option letters used in many different versions of the man, apropos, whatis, mandoc, makewhatis, mandb, makemandb, catman, and manpath utilities. Option letters used by groff, nroff, troff, and roff are also included because beginning with AT&T UNIX, many versions of man(1) pass on unrecognized options to these programs.

For each option letter, information is first grouped into paragraphs, each paragraph describing similar functionality and starting with one line briefly summarizing that functionality.

For each program using the letter for that functionality, one line is provided, giving the name of the program, a colon, the system where this letter first appeared for this functionality in this program, optionally a comma and a list of other system versions introducing the same, a semicolon, and a list of current systems supporting it. If a system appears before the semicolon, it is not repeated afterwards.

Entries are sorted by historical precedence, except that obsolete options are moved to the end. Dates are commit dates where known, and release dates otherwise.

-a  display all matching manual pages
    man: 4.3BSD Tahoe (June 1988), OpenBSD, FreeBSD, NetBSD, man-db, man-1.6, illumos, Solaris 9-11
    apropos, whatis, mandoc: OpenBSD 5.7 (August 27, 2014)

    only display items that match all keywords
    apropos: man-db (Aug 29, 2007)

    use all directories and files for mandoc.db(5)
    makewhatis: OpenBSD 5.6 (April 18, 2014)

    [superseded by -T ascii] ASCII output mode
    troff:
    groff:

-B  use specified browser
    man: man-1.6 (June 24, 2005)

-b  print a backtrace with each warning or error message
    groff:

    [obsolete hardware] report whether the phototypesetter is busy
    troff:

-C  alternate configuration file
    apropos, whatis: 4.4BSD Lite1 (April 22, 1994), man-db (Feb 22, 2003); OpenBSD, NetBSD
    man: NetBSD 1.0 (Oct 26, 1994), OpenBSD
    mandb, catman, manpath: man-db (Feb 22, 2003)
    makemandb: NetBSD (Feb 7, 2012)
    makewhatis: OpenBSD 5.6 (April 18, 2014)
    mandoc: OpenBSD 5.7 (August 27, 2014)

    [obsolete] enable compatibility mode
    groff: before groff-0.5 (before August 3, 1990)

-c  do not use a pager
    man: 4.3BSD Reno (June 1990); OpenBSD, NetBSD
    apropos, whatis, mandoc: OpenBSD 5.7 (August 27, 2014)

    process given catpath
    makewhatis: (not before 1992, not after 1995)

    recreate databases from scratch
    mandb:

    produce a catpath as opposed to a manpath
    manpath:

    internal option for use by catman(1)
    man:

    reformat source page even if cat page exists
    man:

    disable terminal color output in grotty(1)
    groff: groff-1.18.0 (Oct 4, 2001)

    recreate nroff versions from SGML sources
    catman: Solaris 9-11

    [obsolete] postprocess with col(1)
    man:

-D  reset whatever was set with MANOPT
    man:

    print debugging info in addition to manual page
    man:

    set default input encoding for preconv(1)
    groff: groff-1.20 (August 20, 2008)

    display all files added to mandoc.db(5)
    makewhatis: OpenBSD 5.6 (April 18, 2014)

-d  define a user-defined string
    groff:

    print debugging information
    man: FreeBSD, man-db, man-1.6, illumos, Solaris 9-11
    manpath: FreeBSD, man-db
    apropos, whatis: FreeBSD
    mandb, catman:

    remove and re-add a file to mandoc.db(5)
    makewhatis: OpenBSD 2.7 (Feb 3, 2000)

    [superseded by -l] interpret arguments as file names
    man:

-E  inhibit all error messages
    groff:

    select output encoding
    man: man-db (Dec 23, 2001)

-e  preprocess with eqn(7)
    man:
    groff:

    adjust text to left and right margins
    nroff:

    use exact matching
    apropos, whatis:

    restrict search by section extension
    man: man-db-2.3.5 (April 21, 1995)

-F  use alternate font directory
    troff: 4.2BSD (September 1983)
    groff:

    preformat only, do not display
    man: man-1.5g (April 7, 1999)

    force searching dirs, do not use index (default)
    man: illumos, Solaris 9-11

-f  whatis(1) mode
    man: OpenBSD, FreeBSD, man-db, man-1.6
    apropos, whatis: man-db (Dec 2, 2010), OpenBSD 5.7 (August 27, 2014)
    mandoc: OpenBSD 5.7 (August 27, 2014)

    set the default font family
    groff:

    force formatting even if cat page is newer
    catman: FreeBSD (March 15, 1995)

    update only the entries for the given file
    mandb: man-db (Feb 21, 2003)

    force rebuilding the database from scratch
    makemandb: NetBSD (Feb 7, 2012)

    locate manual page related to given file name
    man: illumos, Solaris 9-11

    [obsolete hardware] do not feed out paper nor stop phototypesetter
    troff:

    [superseded by -l] interpret arguments as file names
    man:

-G  preprocess with grap(1)
    groff: groff-1.16 (May 1, 2000)

-g  produce a global manpath
    manpath: man-db-2.2a7 (Nov 16, 1994)

    preprocess with grn(1)
    groff: groff-1.16 (Feb 20, 2000)

    [obsolete hardware] output to a GCOS phototypesetter
    troff:

    [obsolete hardware] output to a DASI 300 terminal in 12-pitch mode
    man:

-H  read hyphenation patterns from the given file
    groff:

    produce HTML output
    man: man-db-1.3.12 to 1.3.17 (not before 1996, not after 2001)

    use program to render HTML files as text
    man: man-1.6 (June 24, 2005)

-h  print a help message and exit
    groff:
    man: FreeBSD, man-db, man-1.6
    manpath: FreeBSD, man-db
    apropos, whatis, mandb, catman:

    display the SYNOPSIS lines only
    man: 4.3BSD Net/2 (August 20, 1991); OpenBSD, NetBSD
    apropos, whatis, mandoc: OpenBSD 5.7 (Sep 3, 2014)

    turn on HTML formatting
    apropos: NetBSD (Apr 2, 2013)

    [obsolete] replace spaces by tabs in the output
    roff, nroff:

-I  input file search path for soelim(1)
    groff: groff-1.12 (Sep 11, 1999)

    respect case when matching manual page names
    man, catman: man-db (Apr 21, 2002)

    input options, in particular default operating system name
    mandoc: OpenBSD 5.2 (May 24, 2012)
    man, apropos, whatis: OpenBSD 5.7 (August 27, 2014)

-i  read standard input after the input files are exhausted
    nroff, troff:
    groff:

    ignore case when matching manual page names
    man, catman: man-db (Apr 21, 2002)

    turn on terminal escape code formatting
    apropos: NetBSD (March 29, 2013)

-J  preprocess with gideal(1)
    groff: groff-1.22.3 (June 17, 2014)

-j  preprocess with chem(1)
    groff: groff-1.22 (Jan 22, 2011)

-K  source code full text search
    man: man-db (June 28, 2009); Solaris 11

    input encoding
    groff: groff-1.20 (Dec 31, 2005)
    man, apropos, whatis, mandoc: OpenBSD 5.7 (Oct 30, 2014)

-k  apropos(1) mode
    man: POSIX, OpenBSD, FreeBSD, NetBSD, man-db, man-1.6, illumos, Solaris 9-11
    apropos, whatis, mandoc: OpenBSD 5.7 (August 27, 2014)

    ignore formatting errors
    catman: NetBSD (April 26, 1994)

    preprocess with preconv(1)
    groff: groff-1.20 (Dec 31, 2005)

    [obsolete hardware] display on a Tektronix 4014 terminal
    man:

-L  pass argument to the spooler
    groff: groff-0.6 (Sep 14, 1990)

    use alternate locale(1)
    man, apropos, whatis: before man-db-2.2a13 (before Dec 15, 1994)

    print list of locales
    manpath: FreeBSD (Nov 23, 1999)

    use locale(1) specified in the environment
    catman: FreeBSD (May 18, 2002)

-l  spool the output
    groff:

    interpret arguments as file names
    man: before man-2.2a7 (before Nov 16, 1994), OpenBSD 5.7 (Aug 30, 2014)
    apropos, whatis, mandoc: OpenBSD 5.7 (Aug 30, 2014)

    do not trim output to the terminal width
    apropos, whatis: man-db (Aug 19, 2007)

    only parse NAME sections
    makemandb: NetBSD (Feb 7, 2012)

    legacy mode: search Nm,Nd, no context or formatting
    apropos: NetBSD (March 29, 2013)

    list all manual pages matching name within the search path
    man: illumos, Solaris 9-11

-M  override manual page search path
    man: OpenBSD, FreeBSD, NetBSD, man-db, man-1.6, illumos, Solaris 9-11
    apropos, whatis: before man-db-2.2a14 (before Dec 16, 1994); OpenBSD, illumos
    catman: NetBSD (July 27, 1993), Solaris 9-11
    mandoc: OpenBSD 5.7 (August 27, 2014)

    prepend to macro file search path
    groff:

    do not show the context of the match
    apropos: NetBSD (May 22, 2016)

-m  specify input macro language
    nroff, troff:
    groff:
    mandoc: OpenBSD 4.8 (April 6, 2009)

    augment manual page search path
    man, apropos, whatis: 4.3BSD Reno (June 1990); OpenBSD, NetBSD
    catman: NetBSD (Apr 4, 1999)
    mandoc: OpenBSD 5.7 (August 27, 2014)

    override operating system
    man: man-db, man-1.6
    apropos, whatis, manpath:

    override architecture
    man: FreeBSD (Jan 11, 2002)

    show the context of the match
    apropos: NetBSD (May 22, 2016)

-N  do not allow newlines between eqn(7) delimiters
    groff: groff-1.01 (Feb 21, 1991)

-n  specify a page number for the first page
    troff:
    groff:

    nroff(1) output mode
    man:

    do not create the whatis(1) database
    catman: NetBSD (July 27, 1993)

    print commands instead of executing them
    catman: FreeBSD (May 18, 2002), Solaris 9-11

    limit the number of results
    apropos: NetBSD (Feb 7, 2012)

    dry run simulating mandoc.db(5) creation
    makewhatis: OpenBSD 5.6 (April 18, 2014)

-O  output options
    mandoc: OpenBSD 4.8 (Oct 27, 2009)
    man, apropos, whatis: OpenBSD 5.7 (August 27, 2014)

-o  select pages by numbers
    nroff, troff:
    groff:

    force use of non-localized manual pages
    man: FreeBSD (June 7, 1999)

    optimize index for speed and disk space
    makemandb: NetBSD (Feb 7, 2012)

-P  pass argument to postprocessor
    groff: groff-0.6 (Sep 14, 1990)

    use specified pager
    man: FreeBSD, man-db, man-1.6

    turn on pager formatting
    apropos: NetBSD (Apr 2, 2013)

-p  preprocess with pic(1)
    groff:

    use the given list of preprocessors
    man: FreeBSD, man-db, man-1.6

    dry run, display commands instead of executing them
    catman: NetBSD (July 27, 1993), FreeBSD (March 15, 1995 to May 18, 2002), Solaris 9-11

    print warnings when building mandoc.db(5)
    makewhatis: OpenBSD 2.7 (April 23, 2000)

    do not look for deleted manual pages
    mandb: man-db (June 28, 2001)

    print the search path for manual pages
    man: NetBSD (June 14, 2011)

    turn on pager formatting and pipe through pager
    apropos: NetBSD (Feb 7, 2012)

    [obsolete hardware] set phototypesetter point size
    troff:

-Q  print only fatal error messages
    makemandb: NetBSD (Aug 29, 2012)

    quick mode of mandoc.db(5) creation
    makewhatis: OpenBSD 5.6 (April 18, 2014)

-q  invoke the simultaneous input-output mode of the .rd request
    nroff, troff:

    quick mode: prefer preformatted page if available
    man:

    issue no warnings
    manpath: FreeBSD, man-db
    mandb:

    print only warnings and errors, no status updates
    makemandb: NetBSD (Aug 29, 2012)

-R  postprocess with refer(1)
    groff: groff-1.02 (June 2, 1991)

    recode to the specified encoding
    man: man-db (Dec 31, 2007)

-r  set number register
    nroff, troff:
    groff:

    scan for and remove junk files
    catman: FreeBSD (March 31, 1995)

    set less(1) prompt
    man: man-db-2.3.5 (April 21, 1995)

    use regular expression matching
    apropos, whatis: man-db-2.3.5 (April 21, 1995)

    turn off formatting
    apropos: NetBSD (Feb 10, 2013)

    check for formatting errors, do not display
    man: illumos, Solaris 9-11

-S  manual section search list
    man: FreeBSD, man-db, man-1.6

    safer mode
    groff: groff-1.10 (May 17, 1994)

    restrict architecture
    man: OpenBSD 2.3 (March 9, 1998), NetBSD (May 27, 2000)
    apropos: OpenBSD 4.5 (Dec 24, 2008), NetBSD (May 8, 2009)
    whatis: OpenBSD 5.6 (April 18, 2014)
    mandoc: OpenBSD 5.7 (August 27, 2014)

-s  preprocess with soelim(1)
    groff:

    silent mode, do not echo commands
    catman: NetBSD (April 26, 1994)

    restrict section
    makewhatis:
    man: OpenBSD 2.3 (March 9, 1998), NetBSD (June 12, 2000); illumos, Solaris 9-11
    apropos: man-db (Nov 16, 2003), OpenBSD 4.5 (Dec 24, 2008), NetBSD (May 8, 2009); illumos
    whatis: man-db (Nov 16, 2003), OpenBSD 5.6 (April 18, 2014); illumos
    mandoc: OpenBSD 5.7 (August 27, 2014)

    do not look for stray cats
    mandb:

    [SysV compat, recommends -S] manual section search list
    man: man-db (Jan 1, 2008)

    [superseded by -h] display the SYNOPSIS lines only
    man:

    [obsolete hardware] pause before each page for paper manipulation
    roff:

    [obsolete hardware] troff(1) output mode, small format
    man:

-T  select terminal output format
    nroff:
    man: OpenBSD 5.7 (August 27, 2014)
    groff:
    mandoc: OpenBSD 4.8 (April 6, 2009)
    apropos, whatis: OpenBSD 5.7 (August 27, 2014)

    use UTF-8 for mandoc.db(5)
    makewhatis: OpenBSD 5.6 (April 18, 2014)

    [superseded by -m] use other macro package
    man, catman: Solaris 9-11

-t  troff(1) output mode
    man: 2BSD (May 10, 1979), FreeBSD, man-db, man-1.6, illumos, Solaris 9-11
    catman: Solaris 9-11

    preprocess with tbl(7)
    groff:

    check manual pages in the hierarchy
    mandb: man-db-1.3.12 to 1.3.17 (not before 1996, not after 2001)

    check files for problems related to mandoc.db(5)
    makewhatis: OpenBSD 2.7 (April 23, 2000)

-U  unsafe mode
    groff: groff-1.12 (Dec 13, 1999)

-u  update database
    makewhatis: (not before 1992, not after 1995)

    create user databases only
    mandb:

    update database cache (requires suid)
    man: before man-db-2.2a10 (before Dec 6, 1994)

    remove files from mandoc.db(5)
    makewhatis: OpenBSD 3.4 (July 9, 2003)

-V  print the pipeline on stdout instead of executing it
    groff: groff-0.6 (Sep 2, 1990)

    print version information
    man, apropos, whatis, mandb, catman, manpath:

-v  print version number
    groff:

    verbose mode
    catman: FreeBSD (March 15, 1995), mandoc (June 30, 2025)
    makewhatis:
    apropos, whatis: man-db (Dec 29, 2002)

    print the name of every parsed file
    makemandb: NetBSD (Feb 7, 2012)

    [obsolete hardware] produce output on the Versatec printer
    man:

-W  disable the named warning
    groff: groff-0.5 (August 14, 1990)

    list pathnames without additional information
    man:

    list pathnames of cat files
    man: man-db (Aug 13, 2002)

    minimum message level to display
    mandoc: OpenBSD 4.8 (April 6, 2009)
    man, apropos, whatis: OpenBSD 5.7 (August 27, 2014)

-w  list pathnames
    man: OpenBSD, FreeBSD, NetBSD, man-db, man-1.6
    apropos, whatis, mandoc: OpenBSD 5.7 (August 27, 2014)

    enable the named warning
    groff: groff-0.5 (August 14, 1990)

    only create the whatis(1) database
    catman: NetBSD (July 27, 1993), Solaris 9-11

    use wildcard matching
    apropos, whatis: man-db-2.3.5 (April 21, 1995)

    use manpath obtained from man --path
    makewhatis:

    update the whatis(1) database
    man: illumos

    [obsolete hardware] wait until the phototypesetter is available
    troff:

-X  display with gxditview(1)
    groff: groff-1.06 (Sep 1, 1992)
    man:

-y  use the non-compacted version of the macros
    man:

-Z  do not run preprocessors
    groff:
    man: man-db-2.2a5 (Nov 10, 1994)

-z  suppress formatted output from troff(1), print only error messages
    groff:

-7  ASCII output mode
    man: man-db-2.3.5 (April 21, 1995)

-?  print a help message and exit
    groff:
    man, manpath: FreeBSD, man-db
    apropos, whatis, mandb, catman:

Multi-letter options:

-hp [obsolete hardware] output to a Hewlett Packard terminal
    man:

-12 [obsolete hardware] use 12-pitch for certain terminals
    man:

-450
    [obsolete hardware] output to a DASI 450 terminal
    man:

In AT&T UNIX, man(1) had no options.
The syntax was: man name [section]

In AT&T UNIX,
the syntax changed to: man [section] [name ...]

AUTHORS
This information was assembled by Ingo Schwarze <schwarze@openbsd.org> using
•   the Unix Archive of the Unix Heritage Society
•   the CSRG Archive CD-ROMs
•   the FreeBSD SVN repository
•   the OpenBSD CVS repository
•   the NetBSD CVS repository
•   the GNU roff (groff) git repository
•   the 4.3BSD-Net/2 groff CHANGES file (Oct 1990 to March 1991)
•   the 4.3BSD-Net/2 groff ChangeLog file (July 1990 to March 1991)
•   the man-db CVS and git repositories (since April 2001)
•   the man-db NEWS file (April 1995 to Dec 2016)
•   the man-db ChangeLog-2013 file (Nov 1994 to Dec 2013)
•   release tarballs man-1.5g (July 1998) to man-1.5p (Jan 2005), man-1.6 (June 2005), and man-1.6a to man-1.6g (Dec 2010)
•   a makewhatis release tarball without version number from 1995
•   the illumos manual pages on the WWW
•   and Solaris 11, SunOS 5.10, and SunOS 5.9 machines at opencsw.org.